This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 334231 - genhomedircon failed to import selinux
genhomedircon failed to import selinux
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-16 09:23 EDT by James Antill
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-16 22:22:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Antill 2007-10-16 09:23:10 EDT
Description of problem:
 I assume this is a dep. issue for policycoreutils, anyway here is what I see:

  Updating  : selinux-policy-targeted      ######################### [2/6] 
Traceback (most recent call last):
  File "/usr/sbin/genhomedircon", line 29, in <module>
    import selinux
  File "/usr/lib64/python2.5/site-packages/selinux.py", line 7, in <module>
    import _selinux
ImportError: /usr/lib64/python2.5/site-packages/_selinux.so: undefined symbol:
fsetfilecon_raw
libsemanage.semanage_install_sandbox: genhomedircon returned error code 1.

Version-Release number of selected component (if applicable):

% rpm -qf /usr/sbin/genhomedircon                   
policycoreutils(0:2.0.16-11.fc7).x86_64
% rpm -qf /usr/lib64/python2.5/site-packages/_selinux.so
libselinux-python(0:2.0.14-7.fc7).x86_64


Additional info:
 There's a libselinux-python 2.0.14-9.fc7 update available but I haven't
installed it yet.
Comment 1 Daniel Walsh 2007-10-16 22:22:49 EDT
policycoreutils-2.0.16-13.fc7 has a Requires libselinux-python

Note You need to log in before you can comment on or make changes to this bug.